REST: nothing triggers rest
[oweals/gnunet.git] / src / gns / test_gns_delegated_lookup.sh
1 #!/bin/sh
2 # This file is in the public domain.
3 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4 which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
5
6 LOCATION=$(which gnunet-config)
7 if [ -z $LOCATION ]
8 then
9   LOCATION="gnunet-config"
10 fi
11 $LOCATION --version 1> /dev/null
12 if test $? != 0
13 then
14         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
15         exit 77
16 fi
17
18 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
19 MY_EGO="myego"
20 OTHER_EGO="delegatedego"
21 FINAL_LABEL="www"
22 DELEGATION_LABEL="b"
23
24 TEST_IP="127.0.0.1"
25 gnunet-arm -s -c test_gns_lookup.conf
26 gnunet-identity -C $OTHER_EGO -c test_gns_lookup.conf
27 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep $OTHER_EGO | awk '{print $3}')
28 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
29 gnunet-namestore -p -z $MY_EGO -a -n $DELEGATION_LABEL -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
30 gnunet-namestore -p -z $OTHER_EGO -a -n $FINAL_LABEL -t A -V $TEST_IP -e never -c test_gns_lookup.conf
31 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u $FINAL_LABEL.$DELEGATION_LABEL.$MY_EGO -t A -c test_gns_lookup.conf`
32 gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
33 gnunet-namestore -z $OTHER_EGO -d -n $FINAL_LABEL -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
34 gnunet-arm -e -c test_gns_lookup.conf
35
36 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
37
38 if [ "$RES_IP" = "$TEST_IP" ]
39 then
40   exit 0
41 else
42   echo "Failed to resolve to proper IP, got $RES_IP."
43   exit 1
44 fi